### Enumeration

# Snapd MarkdownNodeType

since: 1.48

#### Declaration

    enum Snapd.MarkdownNodeType

#### Description [src]

Type of markdown node.

Available since: 1.48

#### Members

`SNAPD_MARKDOWN_NODE_TYPE_TEXT`

  A piece of text.

  - Value: `0`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_PARAGRAPH`

  A paragraph.

  - Value: `1`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_UNORDERED_LIST`

  An unordered list.

  - Value: `2`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_LIST_ITEM`

  A list item.

  - Value: `3`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_CODE_BLOCK`

  A code block.

  - Value: `4`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_CODE_SPAN`

  A code span.

  - Value: `5`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_EMPHASIS`

  Emphasised text.

  - Value: `6`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_STRONG_EMPHASIS`

  Strongly emphasised text.

  - Value: `7`
  - Available since: 1.48
`SNAPD_MARKDOWN_NODE_TYPE_URL`

  A URL.

  - Value: `8`
  - Available since: 1.48